import 'dart:async';

class ListStream extends Stream<int> {
  List<int> listData;
  StreamController<int> _controller;

  ListStream(List<int> listData) {
    this.listData = listData;
    _controller = StreamController<int>();
  }

  @override
  StreamSubscription<int> listen(void Function(int event) onData,
      {Function onError, void Function() onDone, bool cancelOnError}) {
    // TODO: implement listen

    print('OnListen');
    return _controller.stream.listen(onData,
        onDone: onDone, onError: onError, cancelOnError: cancelOnError);
  }
}
